TLS Certificates
Request ACME certificate
POST
/
v1
/
apps
/
{app_name}
/
certificates
/
acme
Request ACME certificate
curl --request POST \
--url https://api.machines.dev/v1/apps/{app_name}/certificates/acme \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "<string>"
}
'import requests
url = "https://api.machines.dev/v1/apps/{app_name}/certificates/acme"
payload = { "hostname": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({hostname: '<string>'})
};
fetch('https://api.machines.dev/v1/apps/{app_name}/certificates/acme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acme_requested": true,
"certificates": [
{
"created_at": "<string>",
"expires_at": "<string>",
"issued": [
{
"certificate_authority": "<string>",
"expires_at": "<string>",
"type": "rsa"
}
],
"issuer": "<string>",
"source": "custom",
"status": "active"
}
],
"configured": true,
"dns_provider": "<string>",
"dns_requirements": {
"a": [
"<string>"
],
"aaaa": [
"<string>"
],
"acme_challenge": {
"name": "<string>",
"target": "<string>"
},
"cname": "<string>",
"ownership": {
"app_value": "<string>",
"name": "<string>",
"org_value": "<string>"
}
},
"hostname": "<string>",
"rate_limited_until": "<string>",
"status": "<string>",
"validation": {
"alpn_configured": true,
"dns_configured": true,
"http_configured": true,
"ownership_txt_configured": true
},
"validation_errors": [
{
"code": "<string>",
"message": "<string>",
"remediation": "<string>",
"timestamp": "<string>"
}
]
}{
"details": {},
"error": "<string>",
"status": "unknown"
}Path Parameters
Fly App Name
Body
application/json
ACME certificate request
⌘I
Request ACME certificate
